## camgrab 0.1-1

=== Makefile ===
srcdir=.

ROOT=
prefix=/usr/local
exec_prefix=${prefix}
bindir=$(ROOT)${exec_prefix}/bin
mandir=$(ROOT)${prefix}/man

CC=gcc
CFLAGS=-O3 -g -Wall -I$(srcdir)/.. -I.. -D_GNU_SOURCE `giblib-config --cflags`

INSTALL=/usr/bin/install -c
INSTALL_PROGRAM=${INSTALL}
INSTALL_DATA=${INSTALL} -m 644
INSTALL_DIR=mkdir -p

PROGS=camgrab

OBJS=camgrab.o

##########################################################################

all build: $(PROGS)

camgrab: $(OBJS)
	$(CC) $(CFLAGS) -o $@ $(OBJS) `giblib-config --libs`

install: all
	$(INSTALL_DIR) $(bindir)
	$(INSTALL_PROGRAM) camgrab $(bindir)

clean:
	-rm -f $(OBJS) *.moc *~ core* *.bak TAGS camgrab

dep depend install:

=== debian/changelog ===
camgrab (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Steve Kemp <steve@steve.org.uk>  Tuesday,  8 September 2002 12:40:17 +0000

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: camgrab
Section: net
Priority: optional
Maintainer: Steve Kemp <steve@steve.org.uk>
Build-Depends: debhelper (>> 2.0.0), giblib-dev (>= 1.2.0-1), libimlib2-dev, help2man
Standards-Version: 3.5.9.0

Package: camgrab
Architecture: any
Depends: ${shlibs:Depends}
Recommends: imagemagick
Description: A command line tool to download a single image from a webcam
 This tool is meant to be used from shell scripts, etc, for grabbing a
 single image from a Webcam.
 Supplied is a simple shellscript which will produce a timestamped JPG
 for use as a webcam.

## camgrab 0.1-1ubuntu1

=== debian/changelog ===
camgrab (0.1-1ubuntu1) oneiric; urgency=low

  * Use libv4l to fix FTBFS (LP: #749183)

 -- Angel Abad <angelabad@ubuntu.com>  Sun, 21 Aug 2011 11:54:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: camgrab
 Section: net
 Priority: optional
-Maintainer: Steve Kemp <steve@steve.org.uk>
-Build-Depends: debhelper (>> 2.0.0), giblib-dev (>= 1.2.0-1), libimlib2-dev, help2man
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Steve Kemp <steve@steve.org.uk>
+Build-Depends: debhelper (>> 2.0.0), giblib-dev (>= 1.2.0-1), libimlib2-dev, help2man, libv4l-dev
 Standards-Version: 3.5.9.0
 
 Package: camgrab

## camgrab 0.1-1ubuntu2

=== debian/changelog ===
camgrab (0.1-1ubuntu2) quantal; urgency=low

  * debian/control: added ${misc:Depends} to depends 

 -- Benjamin Kerensa <bkerensa@ubuntu.com>  Mon, 17 Sep 2012 23:15:30 -0700

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: camgrab
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: imagemagick
 Description: A command line tool to download a single image from a webcam
  This tool is meant to be used from shell scripts, etc, for grabbing a

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) prefix=/usr


	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/camgrab.
	$(MAKE) install ROOT=$(CURDIR)/debian/camgrab prefix=/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmanpages
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
